Subject: Re: [PATCH v1 5/6] Add porcelain V2 documentation to status manpage

From: Jeff Hostetler <[email-masked]>
Date: Wed, 20 Jul 2016 11:42:00 -0400

On 07/20/2016 11:29 AM, Jakub Narębski wrote:
> W dniu 2016-07-20 o 00:10, Jeff Hostetler pisze:
>
>> +Porcelain Format Version 2
>> +~~~~~~~~~~~~~~~~~~~~~~~~~~
>> +
>> +
>> +If `--branch` is given, a header line showing branch tracking information
>> +is printed.  This line begins with "### branch: ".  Fields are separated
>> +by a single space.
>> +
>> +    Field                    Meaning
>> +    --------------------------------------------------------
>> +    <sha> | (initial)        Current commit
>> +    <branch> | (detached)    Current branch
>
> I was wondering if all possible combinations are allowed.  It turns out
> that for technical implementation reasons it is not possible to have
> "(initial) (detached)".
>
> Just something I was wondering about, no need for any change...
>

Right. I don't think that combination is possible.  Not sure how
to document that succinctly.

Jeff